# -*- encoding: utf-8 -*-
# stub: helix_web_services 2015.1.0.main ruby lib

Gem::Specification.new do |s|
  s.name = "helix_web_services"
  s.version = "2015.1.0.main"

  s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Tristan Juricek"]
  s.date = "2015-09-15"
  s.description = "Creates a single web application that handles a variety of service concerns."
  s.email = ["tjuricek@perforce.com"]
  s.executables = ["hws_configure", "hws_console"]
  s.files = ["bin/hws_configure", "bin/hws_console"]
  s.homepage = "https://swarm.workshop.perforce.com/projects/perforce-software-helix-web-services/"
  s.rubygems_version = "2.4.5"
  s.summary = "A collection of HTTP Web APIs for various internal services."

  s.installed_by_version = "2.4.5" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<faker>, ["~> 1.4"])
      s.add_development_dependency(%q<rack-test>, ["~> 0.6"])
      s.add_runtime_dependency(%q<helix_web_services_client>, ["~> 2015.1.0.pre"])
      s.add_runtime_dependency(%q<ohai>, ["~> 8.5"])
      s.add_runtime_dependency(%q<p4ruby>, ["~> 2015.1"])
      s.add_runtime_dependency(%q<rack>, ["~> 1.6"])
      s.add_runtime_dependency(%q<rack-parser>, ["~> 0.6"])
      s.add_runtime_dependency(%q<sinatra>, ["~> 1.4"])
      s.add_runtime_dependency(%q<sinatra-contrib>, ["~> 1.4"])
    else
      s.add_dependency(%q<faker>, ["~> 1.4"])
      s.add_dependency(%q<rack-test>, ["~> 0.6"])
      s.add_dependency(%q<helix_web_services_client>, ["~> 2015.1.0.pre"])
      s.add_dependency(%q<ohai>, ["~> 8.5"])
      s.add_dependency(%q<p4ruby>, ["~> 2015.1"])
      s.add_dependency(%q<rack>, ["~> 1.6"])
      s.add_dependency(%q<rack-parser>, ["~> 0.6"])
      s.add_dependency(%q<sinatra>, ["~> 1.4"])
      s.add_dependency(%q<sinatra-contrib>, ["~> 1.4"])
    end
  else
    s.add_dependency(%q<faker>, ["~> 1.4"])
    s.add_dependency(%q<rack-test>, ["~> 0.6"])
    s.add_dependency(%q<helix_web_services_client>, ["~> 2015.1.0.pre"])
    s.add_dependency(%q<ohai>, ["~> 8.5"])
    s.add_dependency(%q<p4ruby>, ["~> 2015.1"])
    s.add_dependency(%q<rack>, ["~> 1.6"])
    s.add_dependency(%q<rack-parser>, ["~> 0.6"])
    s.add_dependency(%q<sinatra>, ["~> 1.4"])
    s.add_dependency(%q<sinatra-contrib>, ["~> 1.4"])
  end
end
